Subject: Defconfig support

From: Sean MacLennan <[email-masked]>
Date: Mon, 19 Jan 2009 23:21:36 -0500

Since the list seems quiet right now, thought I would ask a question.
Up till now I haven't really worried about the warp defconfig being up
to date since, realistically, the stock kernel was not usable on the
warp. Since it usually boots from NAND, the lack of an ndfc driver
made it unbootable in a production system.

However, the 2.6.29 kernel will boot, so the defconfig problem becomes
more acute. The problem is keeping the changes that are required for
the warp while also handling the normal changes that happen every
release.

For example, the current git diff shows CONFIG_SIMPLE_GPIO which is
just a new feature and can be safely left unset. But the watchdog made
it into the kernel, so CONFIG_PIKA_WDT should be set for a warp.

Any ideas for a good way of handling this?

Cheers,
   Sean